Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038867
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-06-29 10:462019-04-04 09:51
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision7bdc07f52133
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038867: Cannot process a Landed Cost if the role does not have access to the organization of a transaction that needs to be adjusted

DescriptionCannot process a Landed Cost if the role does not have access to the organization of a transaction that needs to be adjusted
Steps To ReproduceAs group admin role:
   Create a Goods Receipt for two days before today and F&B España, S.A.
   Select Region Sur Warehouse
   Add a product and complete it

   Create a Goods Receipt for yesterday and F&B España - Region Sur
   Add the same product and complete it

   Launch Costing Background Process and check their cost is calculated

   Remove the access to F&B España - Region Sur to the role you are logged in with
   Log out and log in

   Create a Landed Cost Type
   Create a Landed Cost
   Set a Cost to it
   Select the previously created receipt
   Try to complete it and check the following error message is shown:

Organization <> of object (TransactionCost(<>) (inventoryTransaction: <>, cost: <>, costDate: <>)) is not present in OrganizationList [<>]
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040516 closednonofrancisco Cannot process a Landed Cost if the role does not have access to its Legal Entity 

-  Notes
(0105745)
AtulOpenbravo (developer)
2018-07-16 09:14
edited on: 2018-07-25 12:29

Test Plan

- F&B International Group admin role:-
- Create a Goods Receipt for two days before today and F&B España, S.A.
   Select Region Sur Warehouse.
   Add a product and complete it.
- Create a Goods Receipt for yesterday and F&B España - Region Sur.
   Add the same product and complete it.
- Launch Costing Background Process and check their cost is calculated
- Remove the access to F&B España - Region Sur to the role you are logged in with.
- Log out and log in
- Create a Landed Cost Type.
- Create a Landed Cost.
- Set a Cost to it.
- In Receipt Tab, select previously created receipt and process the Landed Cost. It is completed successfully.

(0105944)
hgbot (developer)
2018-07-25 12:29

Repository: erp/devel/pi
Changeset: 7bdc07f521333b03aa76b3ae761d05ab24239e4b
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Jul 16 12:38:57 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/7bdc07f521333b03aa76b3ae761d05ab24239e4b [^]

Fixes Issue 0038867:Cannot process a Landed Cost if the role does not have
access to the organization of a transaction that needs to be adjusted

In method generateTransactionCosts of Cost Adjustment Process,
use Admin mode with client org check flag as false.

---
M src/org/openbravo/costing/CostAdjustmentProcess.java
---
(0105945)
dmiguelez (developer)
2018-07-25 12:30

Code Review + Testing Ok
(0106230)
hudsonbot (developer)
2018-08-08 13:06

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bfd7a414183a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-29 10:46 ngarcia New Issue
2018-06-29 10:46 ngarcia Assigned To => Triage Finance
2018-06-29 10:46 ngarcia Modules => Core
2018-06-29 10:46 ngarcia Triggers an Emergency Pack => No
2018-06-29 10:46 ngarcia Issue Monitored: networkb
2018-07-02 15:55 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2018-07-16 09:14 AtulOpenbravo Status new => scheduled
2018-07-16 09:14 AtulOpenbravo Note Added: 0105745
2018-07-25 11:16 AtulOpenbravo Note Edited: 0105745 View Revisions
2018-07-25 12:29 dmiguelez Note Edited: 0105745 View Revisions
2018-07-25 12:29 hgbot Checkin
2018-07-25 12:29 hgbot Note Added: 0105944
2018-07-25 12:29 hgbot Status scheduled => resolved
2018-07-25 12:29 hgbot Resolution open => fixed
2018-07-25 12:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7bdc07f521333b03aa76b3ae761d05ab24239e4b [^]
2018-07-25 12:30 dmiguelez Review Assigned To => dmiguelez
2018-07-25 12:30 dmiguelez Note Added: 0105945
2018-07-25 12:30 dmiguelez Status resolved => closed
2018-07-25 12:30 dmiguelez Fixed in Version => 3.0PR18Q4
2018-08-08 13:06 hudsonbot Checkin
2018-08-08 13:06 hudsonbot Note Added: 0106230
2019-04-04 09:51 gorkaion Issue cloned 0040516
2019-04-04 09:51 gorkaion Relationship added related to 0040516


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker